﻿#overlay_menu>div {
	left: 50%;
	top: 50%;
	width: auto;
	max-width: 90%;
	height: 90%;
	transform: translate(-50%, -50%);
	overflow-y: scroll;
}

#overlay_menu {
	font-size: 10pt;
}
#overlay_menu h1,
#overlay_menu h2,
#overlay_menu h3,
#overlay_menu h4,
#overlay_menu h5,
#overlay_menu h6 {
	font-size: initial;
}

#overlay_menu table {
	cursor: default;
	border-collapse: collapse;
	white-space: nowrap;
	font-size: 10pt;
	border-spacing: 0px;
}

#overlay_menu table td {
	border: 1px solid grey;
	padding: 5px 10px;
}

#overlay_menu table>tbody>tr:first-of-type {
	font-weight: bold;
	background-color: #AAA;
}

#ctrls_table tr>td:nth-of-type(1) {
	padding-right: 30px;
}

#gamepads_table tr>td:nth-of-type(1),
#gamepads_table tr>td:nth-of-type(3),
#gamepads_mapping_table tr>td:nth-of-type(1),
#gamepads_mapping_table tr>td:nth-of-type(3),
#gamepads_mapping_table tr>td:nth-of-type(4),
#ctrls_table tr>td:nth-of-type(2),
#ctrls_table tr>td:nth-of-type(3),
#ctrls_table tr>td:nth-of-type(4) {
	text-align: center;
}

#gamepads_table tr>td:nth-of-type(4),
#gamepads_table tr>td:nth-of-type(5) {
	text-align: right;
}

#ctrls_table tr>td.input {
	cursor: pointer;
	transition: background-color 0.1s;
	background-color: #DDD;
}
#ctrls_table tr>td.input:hover,
#ctrls_table tr>td.input.focus {
	background-color: #BBB;
}

#ctrls_table tr>td.input.focus {
	background-color: #333;
	color: white;
}

.button {
	display: inline-block;
	background-color: black;
	border-top: 1px solid #ffb500;
	padding: 5px;
	padding-left: 7px;
	margin-right: 5px;
	margin-bottom: 5px;
	cursor: pointer;
	width: 120px;
	-webkit-transition: background-color 0.1s;
	-moz-transition: background-color 0.1s;
	-ms-transition: background-color 0.1s;
	transition: background-color 0.1s;
	color: #ffb500;
}

.button:hover:not(.disabled) {
	background-color: rgb(50,50,50);
}

.button.disabled {
	cursor: default;
	color: #555;
}